Module jdk.xml.dom
Package org.w3c.dom.html

## Interface HTMLTableCellElement

All Superinterfaces:
  `Element`, `HTMLElement`, `Node`

    public interface HTMLTableCellElement
    extends HTMLElement

The object used to represent the `TH` and `TD` elements. See the TD element definition in HTML 4.0.

See also the Document Object Model (DOM) Level 2 Specification.

Since:
  1.4, DOM Level 2

### Field Summary

### Fields declared in interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getAbbr()` Abbreviation for header cells.
`String` `getAlign()` Horizontal alignment of data in cell.
`String` `getAxis()` Names group of related headers.
`String` `getBgColor()` Cell background color.
`int` `getCellIndex()` The index of this cell in the row, starting from 0.
`String` `getCh()` Alignment character for cells in a column.
`String` `getChOff()` Offset of alignment character.
`int` `getColSpan()` Number of columns spanned by cell.
`String` `getHeaders()` List of `id` attribute values for header cells.
`String` `getHeight()` Cell height.
`boolean` `getNoWrap()` Suppress word wrapping.
`int` `getRowSpan()` Number of rows spanned by cell.
`String` `getScope()` Scope covered by header cells.
`String` `getVAlign()` Vertical alignment of data in cell.
`String` `getWidth()` Cell width.
`void` `setAbbr​(String abbr)`
`void` `setAlign​(String align)`
`void` `setAxis​(String axis)`
`void` `setBgColor​(String bgColor)`
`void` `setCh​(String ch)`
`void` `setChOff​(String chOff)`
`void` `setColSpan​(int colSpan)`
`void` `setHeaders​(String headers)`
`void` `setHeight​(String height)`
`void` `setNoWrap​(boolean noWrap)`
`void` `setRowSpan​(int rowSpan)`
`void` `setScope​(String scope)`
`void` `setVAlign​(String vAlign)`
`void` `setWidth​(String width)`

### Methods declared in interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods declared in interface org.w3c.dom.html.HTMLElement

`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

### Methods declared in interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### getCellIndex

    int getCellIndex()

The index of this cell in the row, starting from 0. This index is in document tree order and not display order.

#### getAbbr

    String getAbbr()

Abbreviation for header cells. See the abbr attribute definition in HTML 4.0.

#### setAbbr

    void setAbbr​(String abbr)

#### getAlign

    String getAlign()

Horizontal alignment of data in cell. See the align attribute definition in HTML 4.0.

#### setAlign

    void setAlign​(String align)

#### getAxis

    String getAxis()

Names group of related headers. See the axis attribute definition in HTML 4.0.

#### setAxis

    void setAxis​(String axis)

#### getBgColor

    String getBgColor()

Cell background color. See the bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

#### setBgColor

    void setBgColor​(String bgColor)

#### getCh

    String getCh()

Alignment character for cells in a column. See the char attribute definition in HTML 4.0.

#### setCh

    void setCh​(String ch)

#### getChOff

    String getChOff()

Offset of alignment character. See the charoff attribute definition in HTML 4.0.

#### setChOff

    void setChOff​(String chOff)

#### getColSpan

    int getColSpan()

Number of columns spanned by cell. See the colspan attribute definition in HTML 4.0.

#### setColSpan

    void setColSpan​(int colSpan)

#### getHeaders

    String getHeaders()

List of `id` attribute values for header cells. See the headers attribute definition in HTML 4.0.

#### setHeaders

    void setHeaders​(String headers)

#### getHeight

    String getHeight()

Cell height. See the height attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

#### setHeight

    void setHeight​(String height)

#### getNoWrap

    boolean getNoWrap()

Suppress word wrapping. See the nowrap attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

#### setNoWrap

    void setNoWrap​(boolean noWrap)

#### getRowSpan

    int getRowSpan()

Number of rows spanned by cell. See the rowspan attribute definition in HTML 4.0.

#### setRowSpan

    void setRowSpan​(int rowSpan)

#### getScope

    String getScope()

Scope covered by header cells. See the scope attribute definition in HTML 4.0.

#### setScope

    void setScope​(String scope)

#### getVAlign

    String getVAlign()

Vertical alignment of data in cell. See the valign attribute definition in HTML 4.0.

#### setVAlign

    void setVAlign​(String vAlign)

#### getWidth

    String getWidth()

Cell width. See the width attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

#### setWidth

    void setWidth​(String width)